using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ClassLibrary1
{
    abstract public class Gatto
    {
        public string Nome;

        public Gatto(string Nome)
        {
            this.Nome = Nome;
        }

        public string get_Nome()
        {
            return this.Nome;
        }

        public abstract void set_Mangia(string Cibo);
        public abstract string get_Mangia();
    }
}
